package com.yeejoin.amos.boot.module.hygf.api.config;

import java.lang.annotation.*;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@Documented
public @interface DealerRestrict {

    String[] field();
    /**
     * @param 每个字段运算符( in,like,likeLeft,likeRight,eq)
     */
    String[] fieldConditions() ;
    /**
     * @param 多个字段之间关系（or,and）
     */
    String relationship() default "";


}
